Merkl Developer Portal logo
get

/v4/tokens/reward/{chainId}

Get the list of tokens that are accepted as reward tokens on a given chain.

Path parameters

chainIdnumber | string
required

Chain ID to get reward tokens for

Query parameters

tokenTypesenum[]

Filter by token type. Use POINT to include point campaigns and PRETGE to include preTGE campaigns.

TOKENPRETGEPOINT

Responses

200
Response for status 200
Schema
object[]
idstringUnique identifier for the token
namestring | nullFull name of the token
chainIdintegerChain Id
addressstringAddress
decimalsnumberNumber of decimals for the token
symbolstringSymbol of the token
iconstringURL to the token icon image
verifiedbooleanWhether the token is verified
isNativebooleanWhether this is a native blockchain token
isTestbooleanWhether this is a test token
typeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINT
pricenumber | nullCurrent price of the token in USD
updatedAtnumber | nullUnix timestamp of last price update
priceSourcestring | nullSource of the price information
displaySymbolstringCustom display symbol override
underlyingTokenIdstringIf this token is a wrapper, the ID of the underlying token
priceAlertDismissedAtnumber
priceAlertCountnumber
minimumAmountPerHourstringSmallest amount, in token wei, a campaign may distribute per hour with this token.
isTokenWrapperbooleanWhether the address is a Merkl token wrapper.
tokenWrapperAddressstringAddress the wrapper pays out on claim.
Example
[
  {
    "id": "string",
    "name": "string",
    "chainId": 0,
    "address": "string",
    "decimals": 0,
    "symbol": "string",
    "icon": "string",
    "verified": false,
    "isNative": false,
    "isTest": false,
    "type": "TOKEN",
    "price": 0,
    "updatedAt": 0,
    "priceSource": "string",
    "displaySymbol": "string",
    "underlyingTokenId": "string",
    "priceAlertDismissedAt": 0,
    "priceAlertCount": 0,
    "minimumAmountPerHour": "string",
    "isTokenWrapper": false,
    "tokenWrapperAddress": "string"
  }
]